Subject: Bug#387: use dbus-launch to start recent gnome-terminal applications

From: Mike Gabriel <[email-masked]>
Date: Mon, 30 Dec 2013 13:19:41 +0000

Package: x2goserver
Severity: minor
Version: 4.0.1.9

TL;DR: when gnome-terminal exits, it takes a while until X2Go Client  
returns back to the login screen. A fix could be to launch  
gnome-terminal with dbus-launch.

Mike

Taken from a private / German e-Mail conversation on that issue...

"""
>>> * Wenn ich nur eine Terminalverbindung öffne, wie kann ich dann die
>>>   Sitzung beenden? Wenn ich das Terminal schließe bleibt die Sitzung
>>>   weiter offen und ich kann in dieser Sitzung auch kein neues Terminal
>>>   öffnen.
>>
>> Konsole und GNOME-Terminal ab GNOME v3.8 forken leider beim Start  
>> direkt in den Hintergrund. Nach einiger Zeit erkennt der  
>> unterliegende X-Server (x2goagent), dass kein X-Client mehr aktiv  
>> ist und dann beendet er sich selbst. Diese Wartezeit liegt bei ca.  
>> 30sec.
> In einem kurzen Test auf Ubuntu 13.10 hat "gnome-terminal  
> --disable-factory" gegen das forken geholfen. Oder der Aufruf mit  
> "dbus-launch gnome-terminal" :-)
>
> Etwas mehr Testen hat aber gezeigt, dass das Forken gar nicht das  
> eigentliche Problem ist sondern der dbus-launch der da noch im  
> Hintergrund passiert. Der Hält z.B. auch eine SSH Sitzung offen.  
> Einfacher Test: ssh <remote-host> und mit ~# die Connections  
> checken. Dann gnome-terminal aufrufen und beenden und nochmal mit ~#  
> die Connections checken. Bei mir waren dann noch 2 Connections da  
> die ein netstat -tpn auf dbus-launch zurückführt.
>
> Vielleicht müsst Ihr einfach das Terminal mit Hilfe von dbus-launch  
> starten? Ist ja eh korrekter, weil dann die Remote Session einen  
> eigenen DBus hat. Und wenn das Terminal sich beendet, dann ist auch  
> der dbus weg.
"""
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb